References

Get the parent references of a given list of resources

This operation returns the parent references of type Page, Experience Fragment and Content Fragments which are referencing the resources specified in the payload.

SecuritybearerAuth
Request
Request Body schema: application/json
paths
required
Array of strings (AssetOrLaunchPath) non-empty

The list of Content Fragment paths for which to retrieve the back references.

Responses
200

OK

400

Bad Request. The Problem Details object will provide more information about the exact cause.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

413

Content Too Large. Indicates that the server is refusing to process a request because the request content is larger than the server is willing or able to process.

415

Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

post/cf/fragments/referencedBy
Request samples
application/json
{
  • "paths": [
    ]
}
Response samples
application/json
{
  • "items": [
    ]
}

Get the references of a Content Fragment

SecuritybearerAuth
Request
path Parameters
fragmentId
required
string <uuid> (UUID)

Resource unique identifier

Example: 49af775d-0e7a-46c3-913d-00f762528373
Responses
200

OK

400

Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.

404

Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

get/cf/fragments/{fragmentId}/references
Request samples
Response samples
application/json
{
  • "items": [
    ]
}

Get the references of a Content Fragment as a list

SecuritybearerAuth
Request
path Parameters
fragmentId
required
string <uuid> (UUID)

Resource unique identifier

Example: 49af775d-0e7a-46c3-913d-00f762528373
Responses
200

OK

400

Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.

404

Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

get/cf/fragments/{fragmentId}/referencesTree
Request samples
Response samples
application/json
{
  • "items": [
    ],
  • "references": {
    }
}

Get the parent references of a Content Fragment

This operation returns the parent references of type Page, Experience Fragment and Content Fragments which are referencing the given Content Fragment.

SecuritybearerAuth
Request
path Parameters
fragmentId
required
string <uuid> (UUID)

Content Fragment unique identifier

Example: 49af775d-0e7a-46c3-913d-00f762528373
query Parameters
cursor
string (Cursor) non-empty

When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items.

limit
integer <int32> (Limit) [ 1 .. 50 ]

For a paginated request, this parameter defines the maximum number of items to retrieve.

Responses
200

Ok

400

Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.

404

Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

get/cf/fragments/{fragmentId}/referencedBy
Request samples
Response samples
application/json
{
  • "items": [
    ],
  • "cursor": "wqeaszrdxtgfcyguiohfgytdrsewq"
}